package com.bytedance.android.livesdk.olddialog.widget;

import X.0CB;
import X.0CH;
import X.6Is;
import X.C4519HNg;
import X.C4520HNh;
import android.widget.ImageView;
import android.widget.LinearLayout;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.LiveWidget;
import java.util.ArrayList;

public class LiveNewGiftPageIndicatorWidget extends LiveWidget implements 6Is {
    public LinearLayout LIZ;
    public C4519HNg LIZIZ;
    public int LIZJ;
    public int LIZLLL;
    public ImageView LJ;
    public ArrayList<ImageView> LJFF = new ArrayList<>();

    static {
        Covode.recordClassIndex(19880);
    }

    public int getLayoutId() {
        return 2131562204;
    }

    public void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public void onDestroy() {
        super.onDestroy();
        this.LIZIZ.LJFF.removeObservers(this);
    }

    public void onCreate() {
        super.onCreate();
        this.LIZ = (LinearLayout) findViewById(2131368326);
        this.LIZIZ.LJFF.observe(this, new C4520HNh(this));
    }
}
